//==========================================================
// UNITCOPYFILEDLLEXAMPLE.PAS
//
// CopyFileDllE.dll & CopyFileDllK.dll Example Program.
//
// Written by Jinsuck, Choi, Seoul, Korea.
// E-Mail : anold54@unitel.co.kr
//==========================================================


unit unitCopyFileDllExample;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons;

type
  TForm1 = class(TForm)
    OpenDialog1: TOpenDialog;
    SaveDialog1: TSaveDialog;
    Button1: TButton;
    BitBtn1: TBitBtn;
    procedure Button1Click(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

//------------------------------------------------------------------
// Load CopyFileDllE.dll
// This CopyFileDllE is Engish version of CopyFileDLL.
// If you want to use Korean Version, simply replace CopyFileDllE.dll
// to CopyFileDllK.dll
//-------------------------------------------------------------------

function CopyFileDLL(sourceName : PChar; targerName : PChar; readSize : LongInt) : Boolean; stdcall; external 'CopyFileDllE.dll';

var
  Form1: TForm1;

implementation

uses UnitForm2;

{$R *.DFM}


procedure TForm1.Button1Click(Sender: TObject);
var
   copyResult : Boolean;
begin
     if(OpenDialog1.Execute) then
     begin
          if(SaveDialog1.Execute) then
          begin
               Form1.Refresh;
               copyResult := CopyFileDLL(PChar(OpenDialog1.Filename), PChar(SaveDialog1.Filename), 4098);

//-------------------------------------------------------------
//  CopyFileDLL(sourceFileName : PChar; targetFileName : PChar; readSize : LongInt) : Boolean;
//
//  Parameters mean :
//             sourceFileName - Source file name want to copy
//             targetFileName - Target file name of above file
//             readSize       - Size in byte of file read buffer
//                            Range - 10 < readSize < 65000
//
//  Return Value :
//             TRUE  - When copy well.
//             FALSE - When copy fail.
//-----------------------------------------------------------------

          end;
          if (copyResult) then
// If return value is TRUE
             Application.MessageBox('File Copy Completed.', 'File Copy', MB_ICONINFORMATION+MB_OK)
          else
// If return value is FALSE
             Application.MessageBox('File Copy Failed.', 'File Copy', MB_ICONERROR+MB_OK);
     end;
end;

procedure TForm1.BitBtn1Click(Sender: TObject);
begin
     Close;
end;

end.

